Package org.apache.ignite.internal.processors.cache

## Class CacheOffheapEvictionManager

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter
  - - org.apache.ignite.internal.processors.cache.CacheOffheapEvictionManager

All Implemented Interfaces:
  `CacheEvictionManager`, `GridCacheManager`

    public class CacheOffheapEvictionManager
    extends GridCacheManagerAdapter
    implements CacheEvictionManager

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`cctx, log, starting`

### Constructor Summary

Constructors
`CacheOffheapEvictionManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `batchEvict​(Collection<?> keys, @Nullable GridCacheVersion obsoleteVer)`
`boolean` `evict​(@Nullable GridCacheEntryEx entry, @Nullable GridCacheVersion obsoleteVer, boolean explicit, @Nullable CacheEntryPredicate[] filter)`
`void` `touch​(GridCacheEntryEx e)`
`void` `touch​(IgniteTxEntry txEntry, boolean loc)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheManagerAdapter

`context, kernalStartInfo, kernalStopInfo, log, onDisconnected, onKernalStart, onKernalStart0, onKernalStop, onKernalStop0, printMemoryStats, start, start0, startInfo, stop, stop0, stopInfo, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheManager

`onDisconnected, onKernalStart, onKernalStop, printMemoryStats, start, stop`

### Constructor Detail

#### CacheOffheapEvictionManager

    public CacheOffheapEvictionManager()

### Method Detail

#### touch

    public void touch​(IgniteTxEntry txEntry,
                      boolean loc)

Specified by:
  `touch` in interface `CacheEvictionManager`
Parameters:
  `txEntry` - Transactional entry.
  `loc` - Local transaction flag.

#### touch

    public void touch​(GridCacheEntryEx e)

Specified by:
  `touch` in interface `CacheEvictionManager`
Parameters:
  `e` - Entry for eviction policy notification.

#### evict

    public boolean evict​(@Nullable
                         @Nullable GridCacheEntryEx entry,
                         @Nullable
                         @Nullable GridCacheVersion obsoleteVer,
                         boolean explicit,
                         @Nullable
                         @Nullable CacheEntryPredicate[] filter)
                  throws IgniteCheckedException

Specified by:
  `evict` in interface `CacheEvictionManager`
Parameters:
  `entry` - Entry to attempt to evict.
  `obsoleteVer` - Obsolete version.
  `explicit` - `True` if evict is called explicitly, `false` if it's called from eviction policy.
  `filter` - Optional entry filter.
Returns:
  `True` if entry was marked for eviction.
Throws:
  `IgniteCheckedException` - In case of error.

#### batchEvict

    public void batchEvict​(Collection<?> keys,
                           @Nullable
                           @Nullable GridCacheVersion obsoleteVer)

Specified by:
  `batchEvict` in interface `CacheEvictionManager`
Parameters:
  `keys` - Keys to evict.
  `obsoleteVer` - Obsolete version.